<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
<head>
<title>List Claims User</title>
</head>
<body>
	<h1>List Claims User</h1>
	<h:form>
		<h:dataTable value="#{reclamationBean.userList}" var="rec" border="1">
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Description" />
				</f:facet>
				<h:outputText value="#{rec.descr}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Objet" />
				</f:facet>
				<h:outputText value="#{rec.objet}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim date" />
				</f:facet>
				<h:outputText value="#{rec.recDate}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Response Date" />
				</f:facet>
				<h:outputText value="#{rec.repDate}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Reponse" />
				</f:facet>
				<h:outputText value="#{rec.reponse}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Status" />
				</f:facet>
				<h:outputText rendered="#{rec.statu==0}" value="non traitee" >  </h:outputText>
				<h:outputText rendered="#{rec.statu==1}" value="traitee" >  </h:outputText>
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Type" />
				</f:facet>
				
				<h:outputText rendered="#{rec.type==1}" value="quiz" >  </h:outputText>
				<h:outputText rendered="#{rec.type==2}" value="entretien" >  </h:outputText>
				<h:outputText rendered="#{rec.type==3}" value="test" >  </h:outputText>
				</h:column>

			<h:column>
				<f:facet name="header">
					<h:outputText value="Action" />
				</f:facet>
				
				<h:commandButton
					action="#{reclamationBean.detailsReclamationUser(rec.quizID)}"
					value="Update"></h:commandButton>
				<h:commandButton
					action="#{reclamationBean.supprimerReclamation(rec.quizID)}"
					value="Delete"></h:commandButton>

			</h:column>

		</h:dataTable>
	</h:form>
</body>
</html>

